Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621832 - Man page is missing options mentioned in --help
Man page is missing options mentioned in --help
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 04:50 EDT by Kamil Páral
Modified: 2012-05-11 04:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 03:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2010-08-06 04:50:18 EDT
Description of problem:
In 'rpm --help' there are some options printed that are not mentioned in the man page. For example:
rpm --define
rpm --eval
rpm --macros
(and maybe some others)
can be found in 'rpm --help', but can't be found in 'man rpm'.

I believe the man page should describe all available options. Certainly all options available in --help printout should be mentioned there.

Version-Release number of selected component (if applicable):
rpm-4.8.1-2.fc13.x86_64
Comment 1 Bug Zapper 2011-06-01 08:01:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kamil Páral 2011-06-01 08:45:55 EDT
The same problem is in Fedora 14.
Comment 3 Fedora Admin XMLRPC Client 2012-04-13 19:10:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2012-04-13 19:12:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Panu Matilainen 2012-05-11 03:05:41 EDT
The manual has seen quite a few additions since this was reported, eg --eval and --define are now documented. --macros is something that would probably be better off being hidden than documented as its not a particularly useful option, being the way it is.
Comment 6 Kamil Páral 2012-05-11 04:24:37 EDT
(In reply to comment #5)
> --macros is something that would probably be
> better off being hidden than documented as its not a particularly useful
> option, being the way it is.

Let's document then why it is not particularly useful. Having this information is better than not having it at all.

Note You need to log in before you can comment on or make changes to this bug.